## tile 0.8.2

=== doc/Makefile ===
#
# tile/doc/Makefile --
#
# Generate TMML from nroff source
# Generate HTML from TMML
# 

TMML_DIR	?= /usr/local/lib/tmml
MAN2TMML	= tclsh $(TMML_DIR)/man2tmml/man2tmml.tcl
TMML		= tclsh $(TMML_DIR)/tools/tmml.tcl

HTML_DIR	= html

.SUFFIXES: .3 .n .tmml .html

TMML_OPTIONS = --masterDocument=TILE.XML --htmlDirectory=$(HTML_DIR) --quiet=1

TXTFILES	= converting.txt

default : tmml html

tmml ::
	-mkdir -p xml 
	$(MAN2TMML) -rebuild -directory xml -extension .tmml

html ::
	-mkdir -p $(HTML_DIR)
	$(TMML) makemap $(TMML_OPTIONS) ; mv INDEX.MAP xml
	$(TMML) tohtml xml/*.tmml $(TMML_OPTIONS)
	$(TMML) navpages $(TMML_OPTIONS)
	for file in $(TXTFILES) ; do cp $$file $(HTML_DIR) ; done


clean ::
	-rm $(HTML_DIR)/*.*
	-rm xml/*.*

## tile 0.7.3

=== debian/changelog ===
tile (0.7.3) stable; urgency=medium

  * packaging fixes (for NetBSD)

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 24 Sep 2005 02:07:48 -0700

tile (0.7.2) stable; urgency=medium

  * streamlining of program output
  * --dump option added
  * lintian: INSTALL file not packaged

 -- Greg Schenzel <inittab@unixdev.net>  Tue, 20 Sep 2005 02:30:58 -0700

tile (0.7.1) stable; urgency=medium

  * CLI profile selection fix
  * Corrected manpage data

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 18 Sep 2005 22:05:27 -0700

tile (0.7.0-1) stable; urgency=medium

  * wmavoid file deprecated in favor of rc file
  * Split up source code
  * now uses GNU getopt-long

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 18 Sep 2005 14:24:15 -0700

tile (0.6.4-3) stable; urgency=medium

  * wmavoid syntax changed to allow specification of Atom (XA_STRING)

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 11 Sep 2005 17:34:41 -0700

tile (0.6.4-2) stable; urgency=medium

  * Added .desktop files for GNOME 2

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 11 Sep 2005 03:04:11 -0700

tile (0.6.4-1) stable; urgency=medium

  * New upstream version.
  * wmavoid configuration files (local or system) lists window names to ignore (use xprop | grep WM_NAME)
  * NET-WM support added (-w, very similar to -m)
  * Corrected manpage and other documentation

 -- Greg Schenzel <inittab@unixdev.net>  Sat, 10 Sep 2005 19:07:11 -0700

tile (0.6.2-3) stable; urgency=medium

  * more lintian fixes
  * manpage written
  
 -- Greg Schenzel <inittab@unixdev.net>  Wed, 10 Aug 2005 13:11:32 -0700
   

tile (0.6.2-2) stable; urgency=medium

  * lintian source fixes

 -- Greg Schenzel <inittab@unixdev.net>  Wed, 10 Aug 2005 03:40:56 -0700

tile (0.6.2) stable; urgency=medium

  * New upstream version.
  * New maintainer.

 -- Greg Schenzel <inittab@netizenweb.com>  Sun, 8 May 2005 10:40:50 -0400

=== debian/control ===
Source: tile
Section: x11
Priority: optional
Maintainer: Greg Schenzel <inittab@unixdev.net>
Build-Depends: xlibs-dev
Standards-Version: 3.6.2

Package: tile
Architecture: any
Depends: ${shlibs:Depends}
Description: X11 window tiling utility
 This is a utility to tile windows on the desktop. It supports user-
 configurable window manager profiles to avoid screen objects and can
 tile in a horizontal or vertical fashion. It works well with MWM,
 Oroborus and some multi-desktop WMs like FluxBox (given the -m
 option) and GNOME/Metacity (given the -w option).
 .
 It has two files controlling its behavior. A third with defaults will
 be added soon. The first contains "wmprofiles" that tell tile how much
 space to avoid on the different sides of the screen (specified via
 "-p"). The second, named "wmavoid", contains a list of WM_NAME Atoms
 (window titles) that should be avoided for calculations and resize/move
 operations. Both files may exist under $PREFIX/share/tile/ or
 $HOME/.tile/.
 .
 I encourage you to submit new window manager profiles and window avoid
 lists to the maintainer for inclusion in upstream releases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file - for tile
# Copyright 2005 by Greg Schenzel
# Patterned after the rxvt package by Brian Mays.
# Patterned after the hello package by Ian Jackson.

package=tile

# Stupid hack dictated by policy wonks
#CFLAGS=-O3 -Wall
#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#CFLAGS += -g
#endif

build:	build-std
	$(checkdir)
	touch build

build-std: 
	$(checkdir)
	$(MAKE) -f debian/rules Makefile
	$(MAKE) all
	touch build-std

clean:
	$(checkdir)
	$(RM) build*
	-[ -f Makefile ] && $(MAKE) -i clean
	-[ -f Makefile ] && rm Makefile
	-rm -rf debian/files debian/tmp debian/substvars config.log config.status CVS debian/CVS autom4te.cache config.h

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	tile-std

tile-std:	checkroot build-std
	$(chechdir)
	$(RM) -r debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/$(package)
	install -d debian/tmp/usr/share/$(package)
# Install Debian package control information files
	install debian/preinst debian/postinst debian/prerm \
	        debian/postrm debian/tmp/DEBIAN/.
# Install directories
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/usr/share/applications
# Install files
	cp tile.1 debian/tmp/usr/share/man/man1
	cp tile debian/tmp/usr/bin
	cp *.desktop debian/tmp/usr/share/applications
	cp wmprofiles debian/tmp/usr/share/$(package)
	cp rc debian/tmp/usr/share/$(package)
# Strip binaries (including hack by policy wonks)
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R.note -R.comment debian/tmp/usr/bin/*
endif
# Install documentation, changelog & copyright
	install -m644 README debian/tmp/usr/share/doc/$(package)/README
	#install -m644 INSTALL debian/tmp/usr/share/doc/$(package)/INSTALL
	install -m644 ChangeLog debian/tmp/usr/share/doc/$(package)/changelog
	install -m644 TODO debian/tmp/usr/share/doc/$(package)/TODO
	install -m644 debian/changelog \
	  debian/tmp/usr/share/doc/$(package)/changelog.Debian
	gzip -9v `find debian/tmp/usr/share/doc/$(package) -type f` debian/tmp/usr/share/man/man1/*
#	gzip -9v debian/tmp/usr/share/man/*/*
	install -m644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp -r doc/html debian/tmp/usr/share/doc/$(package)/html
# Determine shared library dependencies
	dpkg-shlibdeps tile
# Genereate deb file
	dpkg-gencontrol -isp -p$(package)
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	chown root.root debian/tmp/usr/bin/tile
	chmod 0755 debian/tmp/usr/bin/tile
	dpkg-deb --build debian/tmp ..

Makefile:
	./configure --prefix=/usr

define checkdir
	test -f tile.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot tile-std
